LLVM-REMARKUTIL(1)

NAME
llvm-remarkutil - Remark utility

SYNOPSIS

llvm-remarkutil [subcommmand] [options]

DESCRIPTION

Utility for displaying information from, and converting between different remark formats.

SUBCOMMANDS

            •   bitstream2yaml - Reserialize bitstream remarks to YAML.

            •   yaml2bitstream - Reserialize YAML remarks to bitstream.

            •   instruction-count - Output function instruction counts.

  bitstream2yaml

USAGE: llvm-remarkutil bitstream2yaml <input file> -o <output file>

  Summary

Takes a bitstream remark file as input, and reserializes that file as YAML.

  yaml2bitstream

USAGE: llvm-remarkutil yaml2bitstream <input file> -o <output file>

  Summary

Takes a YAML remark file as input, and reserializes that file in the bitstream format.

  instruction-count

USAGE: llvm-remarkutil instruction-count <input file> –parser=<bitstream|yaml> -o <output file>

  Summary

Outputs instruction count remarks for every function. Instruction count remarks encode the number of instructions in a function at assembly printing time.

Instruction count remarks require asm-printer remarks.

CSV format is as follows:

    ::  Function,InstructionCount foo,123

AUTHOR
Maintained by the LLVM Team (https://llvm.org/).

COPYRIGHT
2003-2024, LLVM Project